Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156875 - libata - master supports lba48 but slave does not
Summary: libata - master supports lba48 but slave does not
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: John W. Linville
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-04 20:54 UTC by David Milburn
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-08 15:14:11 UTC


Attachments (Terms of Use)
Kernel bootup messages after applying linux-2.6.9-libata-lba48-max-sectors.patch (deleted)
2005-05-04 21:03 UTC, David Milburn
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:420 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 1 2005-06-08 04:00:00 UTC

Description David Milburn 2005-05-04 20:54:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Dell reports that a SATA host configured with a master supporting lba48 and a slave that does not support lba48, renders the slave inaccessible. The customer has supplied a patch that will not set the host's max_sectors when a drive supporting lba48 has been detected, since this becomes the default max sectors for any drives probed after that point. 

Version-Release number of selected component (if applicable):
kernel-2.6.9-6.37.EL

How reproducible:
Couldn't Reproduce


Additional info:

I patched the kernel-2.6.9-6.37.EL with the customer patch, booted kernel on i686 system with a Promise SX4 controller and a SATA ST3160023AS to verify that it was still accessible.

Comment 2 David Milburn 2005-05-04 21:03:52 UTC
Created attachment 114042 [details]
Kernel bootup messages after applying linux-2.6.9-libata-lba48-max-sectors.patch

Kernel messages at boot up after applying the
linux-2.6.9-libata-lba48-max-sectors.patch

Comment 3 John W. Linville 2005-05-05 21:27:22 UTC
RHEL4 test kernels w/ above patches available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please verify that they are working and post the results here.  Thanks! 

Comment 4 Dave Jones 2005-05-09 22:25:52 UTC
fixed in CVS.


Comment 5 Tim Burke 2005-05-12 13:49:34 UTC
In 2.6.9-9. So its in U1.

Comment 7 Tim Powers 2005-06-08 15:14:11 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-420.html



Note You need to log in before you can comment on or make changes to this bug.